UbuntuUpdates.org

Package "git"

Name: git

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • fast, scalable, distributed revision control system (all subpackages)
  • fast, scalable, distributed revision control system (cvs interoperability)
  • fast, scalable, distributed revision control system (git-daemon service)
  • fast, scalable, distributed revision control system (git-daemon service)

Latest version: 1:2.17.1-1ubuntu0.7
Release: bionic (18.04)
Level: security
Repository: universe

Links



Other versions of "git" in Bionic

Repository Area Version
base main 1:2.17.0-1ubuntu1
base universe 1:2.17.0-1ubuntu1
security main 1:2.17.1-1ubuntu0.7
updates universe 1:2.17.1-1ubuntu0.7
updates main 1:2.17.1-1ubuntu0.7

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1:2.17.1-1ubuntu0.7 2020-04-21 13:07:10 UTC

  git (1:2.17.1-1ubuntu0.7) bionic-security; urgency=medium

  * SECURITY UPDATE: credential helper issue with missing host or scheme
    - debian/patches/CVE-2020-11008-1.patch: make "quit" helper more
      realistic in t/t0300-credentials.sh.
    - debian/patches/CVE-2020-11008-2.patch: use more realistic inputs in
      t/t0300-credentials.sh.
    - debian/patches/CVE-2020-11008-3.patch: parse URL without host as
      empty host, not unset in credential.c, http.c,
      t/t0300-credentials.sh.
    - debian/patches/CVE-2020-11008-4.patch: refuse to operate when missing
      host or protocol in credential.c, t/t0300-credentials.sh.
    - debian/patches/CVE-2020-11008-5.patch: convert gitmodules url to URL
      passed to curl in fsck.c, t/t7416-submodule-dash-url.sh.
    - debian/patches/CVE-2020-11008-6.patch: die() when parsing invalid
      urls in credential.c, t/t0300-credentials.sh.
    - debian/patches/CVE-2020-11008-7.patch: treat URL without scheme as
      invalid in credential.c, fsck.c, t/t5550-http-fetch-dumb.sh,
      t/t7416-submodule-dash-url.sh.
    - debian/patches/CVE-2020-11008-8.patch: treat URL with empty scheme as
      invalid in credential.c, t/t5550-http-fetch-dumb.sh,
      t/t7416-submodule-dash-url.sh.
    - debian/patches/CVE-2020-11008-9.patch: reject URL with empty host in
      .gitmodules in fsck.c, t/t7416-submodule-dash-url.sh.
    - CVE-2020-11008

 -- Marc Deslauriers <email address hidden> Mon, 20 Apr 2020 12:20:37 -0400

Source diff to previous version

Version: 1:2.17.1-1ubuntu0.6 2020-04-14 23:07:33 UTC

  git (1:2.17.1-1ubuntu0.6) bionic-security; urgency=medium

  * SECURITY UPDATE: credential helper issue with newlines in URL
    - debian/patches/CVE-2020-5260-1.patch: avoid writing values with
      newlines in credential.c, t/t0300-credentials.sh.
    - debian/patches/CVE-2020-5260-2.patch: use test_i18ncmp to check
      stderr in t/lib-credential.sh.
    - debian/patches/CVE-2020-5260-3.patch: detect unrepresentable values
      when parsing urls in credential.c, credential.h,
      t/t0300-credentials.sh.
    - debian/patches/CVE-2020-5260-4.patch: detect gitmodules URLs with
      embedded newlines in fsck.c, t/t7416-submodule-dash-url.sh.
    - CVE-2020-5260

 -- Marc Deslauriers <email address hidden> Fri, 10 Apr 2020 11:59:06 -0400

Source diff to previous version

Version: 1:2.17.1-1ubuntu0.5 2019-12-10 20:07:01 UTC

  git (1:2.17.1-1ubuntu0.5) bionic-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/CVE-2019-13xx/*.patch: upstream patches to fix issues.
    - CVE-2019-1348, CVE-2019-1349, CVE-2019-1350, CVE-2019-1351,
      CVE-2019-1352, CVE-2019-1353, CVE-2019-1354, CVE-2019-1387,
      CVE-2019-19604

 -- Marc Deslauriers <email address hidden> Mon, 09 Dec 2019 08:29:20 -0500

Source diff to previous version

Version: 1:2.17.1-1ubuntu0.4 2018-11-27 21:07:21 UTC

  git (1:2.17.1-1ubuntu0.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Unsafe command execution
    - debian/patches/CVE-2018-19486.patch: fix in
      run-command.c, t/t0061-run-command.sh.
    - CVE-2018-19486

 -- <email address hidden> (Leonidas S. Barbosa) Mon, 26 Nov 2018 11:20:24 -0300

Source diff to previous version
CVE-2018-19486 Git before 2.19.2 on Linux and UNIX executes commands from the current working directory (as if '.' were at the end of $PATH) in certain cases involv

Version: 1:2.17.1-1ubuntu0.3 2018-10-12 02:06:27 UTC

  git (1:2.17.1-1ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: arbitrary code execution via submodule URLs and
    paths in .gitsubmodules.
    - 0001-submodule-helper-use-to-signal-end-of-clone-options.patch,
      0002-submodule-config-ban-submodule-urls-that-start-with-.patch,
      0003-submodule-config-ban-submodule-paths-that-start-with.patch:
      disallow urls and files that begin with '--'.
    - 0004-fsck-detect-submodule-urls-starting-with-dash.patch,
      0005-fsck-detect-submodule-paths-starting-with-dash.patch:
      reject gitmodules that contain submdule urls and files that begin
      with '--'.
    - CVE-2018-17456

CVE-2018-17456 Git before 2.14.5, 2.15.x before 2.15.3, 2.16.x before 2.16.5, 2.17.x before 2.17.2, 2.18.x before 2.18.1, and 2.19.x before 2.19.1 allows remote cod



About   -   Send Feedback to @ubuntu_updates